############################
The :mod:`gramps.gen` Module
############################

.. automodule:: gramps.gen

*****************************
Database State
*****************************
.. automodule:: gramps.gen.dbstate
.. autoclass::  DbState
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Errors
*****************************
.. automodule:: gramps.gen.errors
.. autoclass::  DatabaseError
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DateError
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DbError
   :members:
   :undoc-members:
   :show-inheritance:

TODO

*****************************
Recent Files
*****************************
.. automodule:: gramps.gen.recentfiles
.. autoclass::  RecentFiles
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  RecentItem
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  RecentParser
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Sort
*****************************
.. automodule:: gramps.gen.sort
.. autoclass::  Sort
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Update callback
*****************************
.. automodule:: gramps.gen.updatecallback
.. autoclass::  UpdateCallback
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
User
*****************************
.. automodule:: gramps.gen.user
.. autoclass:: User
   :members:
   :undoc-members:
   :show-inheritance:
